require 'spec_helper'

describe "/maps/edit.html.erb" do
  include MapsHelper

  before(:each) do
    assigns[:map] = @map = stub_model(Map,
      :new_record? => false,
      :name => "value for name"
    )
  end

  it "renders the edit map form" do
    render

    response.should have_tag("form[action=#{map_path(@map)}][method=post]") do
      with_tag('input#map_name[name=?]', "map[name]")
    end
  end
end
